# jrf

## TODO
* [ ]  Come up with a simple grammar (it must to be simple to implement, read and organize)
* [ ]  Implement parsing of user types and type propagation
* [ ]  Implement nametables for an interpreter
